Re: [6.2-rc4] warning: cannot check the header due to sha1sum missing

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Test-Case:

cd /path/to/linux.git

make clean

make distclean

sha1sum include/linux/atomic/atomic-* > ../SHA1SUM.before

make V=1 mrproper defconfig prepare 2>&1 | tee ../test-masahiro-sha1sum-v2.log

sha1sum include/linux/atomic/atomic-* > ../SHA1SUM.after

ll .checked-atomic-* ..checked-atomic-*
-rw-r--r-- 1 dileks dileks   0 20. Jan 17:22 .checked-atomic-arch-fallback.h
-rw-r--r-- 1 dileks dileks 460 20. Jan 17:22
..checked-atomic-arch-fallback.h.cmd
-rw-r--r-- 1 dileks dileks   0 20. Jan 17:22 .checked-atomic-instrumented.h
-rw-r--r-- 1 dileks dileks 455 20. Jan 17:22 ..checked-atomic-instrumented.h.cmd
-rw-r--r-- 1 dileks dileks   0 20. Jan 17:22 .checked-atomic-long.h
-rw-r--r-- 1 dileks dileks 415 20. Jan 17:22 ..checked-atomic-long.h.cmd

grep warning: ../test-masahiro-sha1sum-v2.log
2096:  if ! command -v sha1sum >/dev/null; then echo "warning: cannot
check the header due to sha1sum missing"; exit 0; fi; if [ "$(sed -n
'$s:// ::p' include/linux/atomic/atomic-arch-fallback.h)" != "$(sed
'$d' include/linux/atomic/atomic-arch-fallback.h | sha1sum | sed 's/
.*//')" ]; then echo "error:
include/linux/atomic/atomic-arch-fallback.h has been modified." >&2;
exit 1; fi; touch .checked-atomic-arch-fallback.h
2097:  if ! command -v sha1sum >/dev/null; then echo "warning: cannot
check the header due to sha1sum missing"; exit 0; fi; if [ "$(sed -n
'$s:// ::p' include/linux/atomic/atomic-instrumented.h)" != "$(sed
'$d' include/linux/atomic/atomic-instrumented.h | sha1sum | sed 's/
.*//')" ]; then echo "error:
include/linux/atomic/atomic-instrumented.h has been modified." >&2;
exit 1; fi; touch .checked-atomic-instrumented.h
2098:  if ! command -v sha1sum >/dev/null; then echo "warning: cannot
check the header due to sha1sum missing"; exit 0; fi; if [ "$(sed -n
'$s:// ::p' include/linux/atomic/atomic-long.h)" != "$(sed '$d'
include/linux/atomic/atomic-long.h | sha1sum | sed 's/ .*//')" ]; then
echo "error: include/linux/atomic/atomic-long.h has been modified."
>&2; exit 1; fi; touch .checked-atomic-long.h

cd ..

git diff SHA1SUM.before SHA1SUM.after
[ empty ]

OK, so no atomic header files were changed - looks to me like a "I
have checked them... found no diff... leave some checked files to
confirm this".

-Sedat-



[Index of Archives]     [Linux&nblp;USB Development]     [Linux Media]     [Video for Linux]     [Linux Audio Users]     [Yosemite Secrets]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux